package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 行业分析对象 mall_industry_analysis
 * 
 * @author LCL
 * @date 2023-10-20
 */
public class MallIndustryAnalysis extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 行业分析主键ID */
    private Long industryAnalysisId;

    /** 行业ID */
    @Excel(name = "行业ID")
    private Long industryId;

    /** 父类ID */
    @Excel(name = "父类ID")
    private Long parentId;

    /** 标题分类：0-行业介绍，1-核心能力要求，2-行业发展重要因素，3-行业分析报告，4-发展趋势，5-业内知名机构 */
    @Excel(name = "标题分类：0-行业介绍，1-核心能力要求，2-行业发展重要因素，3-行业分析报告，4-发展趋势，5-业内知名机构")
    private String titleClass;

    /** 类型：0-文本，1-文件，2-其他 */
    @Excel(name = "类型：0-文本，1-文件，2-其他")
    private String type;

    /** 等级 */
    @Excel(name = "等级")
    private Integer level;

    /** 图标 */
    @Excel(name = "图标")
    private String icon;

    /** 行业分析名称 */
    @Excel(name = "行业分析名称")
    private String industryAnalysisName;

    /** 行业分析简介 */
    @Excel(name = "行业分析简介")
    private String industryAnalysisSynopsis;

    /** 行业分析介绍 */
    @Excel(name = "行业分析介绍")
    private String industryAnalysisIntroduce;

    /** 文件地址 */
    @Excel(name = "文件地址")
    private String fileUrl;

    /** 是否展示：0-展示，1-不展示 */
    @Excel(name = "是否展示：0-展示，1-不展示")
    private String isShow;

    /** 状态:：0-启用，1-不启用 */
    @Excel(name = "状态:：0-启用，1-不启用")
    private String status;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 修改时间 */
    @Excel(name = "修改时间")
    private String updateAt;

    /** 删除标记：0-正常，1-删除 */
    private String delFlag;

    public void setIndustryAnalysisId(Long industryAnalysisId) 
    {
        this.industryAnalysisId = industryAnalysisId;
    }

    public Long getIndustryAnalysisId() 
    {
        return industryAnalysisId;
    }
    public void setIndustryId(Long industryId) 
    {
        this.industryId = industryId;
    }

    public Long getIndustryId() 
    {
        return industryId;
    }
    public void setParentId(Long parentId) 
    {
        this.parentId = parentId;
    }

    public Long getParentId() 
    {
        return parentId;
    }
    public void setTitleClass(String titleClass) 
    {
        this.titleClass = titleClass;
    }

    public String getTitleClass() 
    {
        return titleClass;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setLevel(Integer level) 
    {
        this.level = level;
    }

    public Integer getLevel() 
    {
        return level;
    }
    public void setIcon(String icon) 
    {
        this.icon = icon;
    }

    public String getIcon() 
    {
        return icon;
    }
    public void setIndustryAnalysisName(String industryAnalysisName) 
    {
        this.industryAnalysisName = industryAnalysisName;
    }

    public String getIndustryAnalysisName() 
    {
        return industryAnalysisName;
    }
    public void setIndustryAnalysisSynopsis(String industryAnalysisSynopsis) 
    {
        this.industryAnalysisSynopsis = industryAnalysisSynopsis;
    }

    public String getIndustryAnalysisSynopsis() 
    {
        return industryAnalysisSynopsis;
    }
    public void setIndustryAnalysisIntroduce(String industryAnalysisIntroduce) 
    {
        this.industryAnalysisIntroduce = industryAnalysisIntroduce;
    }

    public String getIndustryAnalysisIntroduce() 
    {
        return industryAnalysisIntroduce;
    }
    public void setFileUrl(String fileUrl) 
    {
        this.fileUrl = fileUrl;
    }

    public String getFileUrl() 
    {
        return fileUrl;
    }
    public void setIsShow(String isShow) 
    {
        this.isShow = isShow;
    }

    public String getIsShow() 
    {
        return isShow;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setSort(Long sort) 
    {
        this.sort = sort;
    }

    public Long getSort() 
    {
        return sort;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setCreateAt(String createAt) 
    {
        this.createAt = createAt;
    }

    public String getCreateAt() 
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt) 
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt() 
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("industryAnalysisId", getIndustryAnalysisId())
            .append("industryId", getIndustryId())
            .append("parentId", getParentId())
            .append("titleClass", getTitleClass())
            .append("type", getType())
            .append("level", getLevel())
            .append("icon", getIcon())
            .append("industryAnalysisName", getIndustryAnalysisName())
            .append("industryAnalysisSynopsis", getIndustryAnalysisSynopsis())
            .append("industryAnalysisIntroduce", getIndustryAnalysisIntroduce())
            .append("fileUrl", getFileUrl())
            .append("isShow", getIsShow())
            .append("status", getStatus())
            .append("sort", getSort())
            .append("remarks", getRemarks())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
